Bug 1532869 - OSP10->11->12->13 undercloud upgrade fails with package conflict while upgrading to OSP13
Summary: OSP10->11->12->13 undercloud upgrade fails with package conflict while upgrad...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-keystoneauth1
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Raildo Mascena de Sousa Filho
QA Contact: Pavan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-09 23:11 UTC by Marius Cornea
Modified: 2018-06-27 13:42 UTC (History)
12 users (show)

Fixed In Version: python-keystoneauth1-3.4.0-0.20180211174643.d4a552c.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:41:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
undercloud_upgrade_13.log (136.68 KB, text/plain)
2018-01-09 23:12 UTC, Marius Cornea
no flags Details
undercloud_upgrade_13.log (208.57 KB, text/plain)
2018-02-08 00:59 UTC, Marius Cornea
no flags Details


Links
System ID Priority Status Summary Last Updated
RDO 12488 None rpm-master: MERGED openstack/keystoneauth1-distgit: Add obsoletes of python-keystoneauth1 package (I1d71be0fca2d6638710fb77d24778a6b3a1b973... 2018-03-14 12:58:20 UTC
RDO 12576 None queens-rdo: MERGED openstack/keystoneauth1-distgit: Add obsoletes of python-keystoneauth1 package (I1d71be0fca2d6638710fb77d24778a6b3a1b973... 2018-03-14 12:58:13 UTC
Red Hat Product Errata 32557 None None None 2018-04-24 13:55:22 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:42:00 UTC

Description Marius Cornea 2018-01-09 23:11:20 UTC
Description of problem:
OSP10->11->12->13 undercloud upgrade fails with pacakge conflict while upgrading to OSP13:

openstack undercloud upgrade fails with:

2018-01-09 18:05:39,550 INFO: Transaction check error:
2018-01-09 18:05:39,550 INFO:   file /usr/lib/python2.7/site-packages/docker/__init__.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,550 INFO:   file /usr/lib/python2.7/site-packages/docker/api/__init__.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,550 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/__init__.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,550 INFO:   file /usr/lib/python2.7/site-packages/docker/types/__init__.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,550 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/__init__.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,551 INFO:   file /usr/lib/python2.7/site-packages/docker/__init__.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,551 INFO:   file /usr/lib/python2.7/site-packages/docker/api/__init__.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,551 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/__init__.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,551 INFO:   file /usr/lib/python2.7/site-packages/docker/types/__init__.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,551 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/__init__.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,551 INFO:   file /usr/lib/python2.7/site-packages/docker/__init__.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,552 INFO:   file /usr/lib/python2.7/site-packages/docker/api/__init__.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,552 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/__init__.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,552 INFO:   file /usr/lib/python2.7/site-packages/docker/types/__init__.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,552 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/__init__.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,552 INFO:   file /usr/lib/python2.7/site-packages/docker/types/base.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,552 INFO:   file /usr/lib/python2.7/site-packages/docker/types/base.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,553 INFO:   file /usr/lib/python2.7/site-packages/docker/version.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,553 INFO:   file /usr/lib/python2.7/site-packages/docker/version.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,553 INFO:   file /usr/lib/python2.7/site-packages/docker/version.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,553 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/utils.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,553 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/utils.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,553 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/utils.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,554 INFO:   file /usr/lib/python2.7/site-packages/docker/client.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,554 INFO:   file /usr/lib/python2.7/site-packages/docker/client.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,554 INFO:   file /usr/lib/python2.7/site-packages/docker/client.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,554 INFO:   file /usr/lib/python2.7/site-packages/docker/api/daemon.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,554 INFO:   file /usr/lib/python2.7/site-packages/docker/api/daemon.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,554 INFO:   file /usr/lib/python2.7/site-packages/docker/api/daemon.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,555 INFO:   file /usr/lib/python2.7/site-packages/docker/api/volume.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,555 INFO:   file /usr/lib/python2.7/site-packages/docker/api/volume.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,555 INFO:   file /usr/lib/python2.7/site-packages/docker/api/volume.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,555 INFO:   file /usr/lib/python2.7/site-packages/docker/api/service.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,555 INFO:   file /usr/lib/python2.7/site-packages/docker/api/service.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,555 INFO:   file /usr/lib/python2.7/site-packages/docker/api/service.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,556 INFO:   file /usr/lib/python2.7/site-packages/docker/api/image.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,556 INFO:   file /usr/lib/python2.7/site-packages/docker/api/image.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,556 INFO:   file /usr/lib/python2.7/site-packages/docker/api/image.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,556 INFO:   file /usr/lib/python2.7/site-packages/docker/api/container.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,556 INFO:   file /usr/lib/python2.7/site-packages/docker/api/container.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,556 INFO:   file /usr/lib/python2.7/site-packages/docker/api/container.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,557 INFO:   file /usr/lib/python2.7/site-packages/docker/api/network.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,557 INFO:   file /usr/lib/python2.7/site-packages/docker/api/network.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,557 INFO:   file /usr/lib/python2.7/site-packages/docker/api/network.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,557 INFO:   file /usr/lib/python2.7/site-packages/docker/constants.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,557 INFO:   file /usr/lib/python2.7/site-packages/docker/constants.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,557 INFO:   file /usr/lib/python2.7/site-packages/docker/constants.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,558 INFO:   file /usr/lib/python2.7/site-packages/docker/errors.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,558 INFO:   file /usr/lib/python2.7/site-packages/docker/errors.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,558 INFO:   file /usr/lib/python2.7/site-packages/docker/errors.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,558 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/socket.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,558 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/socket.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,558 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/socket.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,559 INFO:   file /usr/lib/python2.7/site-packages/docker/types/services.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,559 INFO:   file /usr/lib/python2.7/site-packages/docker/types/services.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,559 INFO:   file /usr/lib/python2.7/site-packages/docker/types/services.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,559 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/decorators.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,559 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/decorators.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,560 INFO:   file /usr/lib/python2.7/site-packages/docker/utils/decorators.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,560 INFO:   file /usr/lib/python2.7/site-packages/docker/api/build.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,560 INFO:   file /usr/lib/python2.7/site-packages/docker/api/build.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,560 INFO:   file /usr/lib/python2.7/site-packages/docker/api/build.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,560 INFO:   file /usr/lib/python2.7/site-packages/docker/api/exec_api.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,560 INFO:   file /usr/lib/python2.7/site-packages/docker/api/exec_api.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,561 INFO:   file /usr/lib/python2.7/site-packages/docker/api/exec_api.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,561 INFO:   file /usr/lib/python2.7/site-packages/docker/api/swarm.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,561 INFO:   file /usr/lib/python2.7/site-packages/docker/types/swarm.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,561 INFO:   file /usr/lib/python2.7/site-packages/docker/api/swarm.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,561 INFO:   file /usr/lib/python2.7/site-packages/docker/types/swarm.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,561 INFO:   file /usr/lib/python2.7/site-packages/docker/api/swarm.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,562 INFO:   file /usr/lib/python2.7/site-packages/docker/types/swarm.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,562 INFO:   file /usr/lib/python2.7/site-packages/docker/types/containers.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,562 INFO:   file /usr/lib/python2.7/site-packages/docker/types/containers.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,562 INFO:   file /usr/lib/python2.7/site-packages/docker/types/containers.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,562 INFO:   file /usr/lib/python2.7/site-packages/docker/tls.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,562 INFO:   file /usr/lib/python2.7/site-packages/docker/tls.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,563 INFO:   file /usr/lib/python2.7/site-packages/docker/tls.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,563 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/npipeconn.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,563 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/npipeconn.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,563 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/npipeconn.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,563 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/npipesocket.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,563 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/npipesocket.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,564 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/npipesocket.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,564 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/unixconn.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,564 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/unixconn.pyc from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,564 INFO:   file /usr/lib/python2.7/site-packages/docker/transport/unixconn.pyo from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
2018-01-09 18:05:39,564 INFO: 
2018-01-09 18:05:39,564 INFO: Error Summary
2018-01-09 18:05:39,564 INFO: -------------
2018-01-09 18:05:39,564 INFO: 
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1912, in pre_upgrade
    _run_live_command(args, name='yum update')
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 606, in _run_live_command
    raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: yum update failed. See log for details.
Command 'instack-pre-upgrade-undercloud' returned non-zero exit status 1


Version-Release number of selected component (if applicable):
instack-undercloud-8.1.1-0.20171206155309.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Delpoy OSP10
2. Upgrade undercloud to OSP11
3. Upgrade undercloud to OSP12
4. Upgrade undercluod to OSP13

Actual results:
Undercloud upgrade fails.

Expected results:
Undercloud upgrade succeeds. 

Additional info:
Attaching the full openstack undercloud upgrade output.

Comment 1 Marius Cornea 2018-01-09 23:12:15 UTC
Created attachment 1379271 [details]
undercloud_upgrade_13.log

Comment 3 Marios Andreou 2018-01-11 12:40:23 UTC
o/ picked this up for triage on yesterdays DFG:Upgrades scrum. First question is does this show up on 'regular' OSP12 -> 13 undercloud upgrade (I am currently openstack undercloud upgrade on my OSP12 beaker box - its downloading packages now so just before the critical bit i'll see in a while I guess). If it does lets just call this BZ OSP12->13 for less confusion.

So from the attached logs it looks like python-docker is the culprit, relevant bits afaics: https://bugzilla.redhat.com/attachment.cgi?id=1379271

    ...
    2018-01-09 18:04:19,897 INFO: --> Processing Dependency: python-docker >= 2.0.0 for package: openstack-tripleo-common-8.2.1-0.20171206155029.bb2b96e.el7ost.noarch
    ...
    2018-01-09 18:04:20,240 INFO: ---> Package python-docker.noarch 0:2.4.2-1.2.el7ost will be installed
    ...
    2018-01-09 18:04:20,932 INFO:  python-docker              noarch 2.4.2-1.2.el7ost  rhelosp-13.0-puddle  167 k
    ...
    2018-01-09 18:05:39,550 INFO:   file /usr/lib/python2.7/site-packages/docker/__init__.py from install of python-docker-2.4.2-1.2.el7ost.noarch conflicts with file from package python-docker-py-1.10.6-3.el7.noarch
    ...

I think we can mark it as triaged - package dependency issue. Not sure what the next step is for resolution though. It is a blocker so we at least need some workaround if the proper fix needs time.

Could we try yum remove python-docker before the upgrade (so it would remove version python-docker-py-1.10.6-3 and then the upgrade can install python-docker-2.4.2-1.2)? Still waiting for my box to finish download package updates to try this myself. I'll bring to scrum to see if there are more ideas. marking triaged please update if you disagree

Comment 5 Marius Cornea 2018-02-08 00:58:41 UTC
I checked this issue with the latest puddle and it is currently failing because of a different keystone package conflict. Attaching the log.

Comment 6 Marius Cornea 2018-02-08 00:59:24 UTC
Created attachment 1392922 [details]
undercloud_upgrade_13.log

Comment 8 Marius Cornea 2018-02-13 14:50:42 UTC
I am moving this bug to DFG:Security since the current remaining issues per comment #6 are caused by keystoneauth1 package.

Comment 21 errata-xmlrpc 2018-06-27 13:41:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.